using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace KstCmsBase.WebPage
{
    public struct CssAndCopyRight
    {
        static internal string LinkCss
        {
            get
            {

                return "<link type=\"text/css\" rel=\"Stylesheet\" href=\"" + KstCmsBase.Common.Fucs.GetRootURI() + "/KstCMS_Manager/Style/Default/style.css\" />\r\n";

            }
        }
        static internal string InPageCopyRight
        {
            get
            {
                AssemAppplication.ApplicationInfo();
                string html = "\r\n<!--\r\n";
                html += "      软件名称：" + AssemAppplication.ProName + "\r\n";
                html += "      软件版本：" + AssemAppplication.Version + "\r\n";
                html += "      软件版权：" + AssemAppplication.Copyright + "\r\n";
                html += "      官方网站：http://www.ygdns.cn\r\n";
                html += "-->\r\n";
                return html;
            }
        }

        static internal string InPageBottomCopyRight
        {
            get
            {
                AssemAppplication.ApplicationInfo();
                return AssemAppplication.Copyright + " <a href=\"http://www.ygdns.cn\" target=\"_blank\">官方网站</a> 软件版本：" + AssemAppplication.Version;
            }
        }

        static internal string WebTitle
        {
            get
            {
                AssemAppplication.ApplicationInfo();
                return " [" + AssemAppplication.Title + "v" + AssemAppplication.Version + "]";
            }
        }

        static internal string TopTitle
        {
            get
            {
                KstCmsBase.Entities.UserUnit Unit = KstCmsBase.DAL.Regedit.Get_UnitInfo("WEBTITLE");

                return Unit.WEBTITLE;
            }
        }

        static internal string ComName
        {
            get
            {
                KstCmsBase.Entities.UserUnit Unit = KstCmsBase.DAL.Regedit.Get_UnitInfo("COMNAME");

                return Unit.COMNAME;
            }
        }

        static internal string UserSoftName
        {
            get
            {
                KstCmsBase.Entities.UserUnit Unit = KstCmsBase.DAL.Regedit.Get_UnitInfo("SOFTNAME");

                return Unit.SOFTNAME;
            }
        }

    }
}
